Package: org.gradle.jvm.application.scripts

## [Java] Interface JavaAppStartScriptGenerationDetails

- Details for generating Java-based application start scripts.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `getAppNameSystemProperty()` This system property to use to pass the script name to the application.
    `String` | `getApplicationName()` The display name of the application
    `List<String>` | `getClasspath()` The classpath, relative to the application home directory.
    `List<String>` | `getDefaultJvmOpts()`
    `String` | `getExitEnvironmentVar()` The environment variable to use to control exit value (windows only)
    `String` | `getMainClassName()`
    `String` | `getOptsEnvironmentVar()` The environment variable to use to provide additional options to the JVM
    `String` | `getScriptRelPath()` The path of the script, relative to the application home directory.

- - ### Method Detail

    - #### public String getAppNameSystemProperty()

      This system property to use to pass the script name to the application. May be null.

    - #### public String getApplicationName()

      The display name of the application

    - #### public List<String> getClasspath()

      The classpath, relative to the application home directory.

    - #### public List<String> getDefaultJvmOpts()

    - #### public String getExitEnvironmentVar()

      The environment variable to use to control exit value (windows only)

    - #### public String getMainClassName()

    - #### public String getOptsEnvironmentVar()

      The environment variable to use to provide additional options to the JVM

    - #### public String getScriptRelPath()

      The path of the script, relative to the application home directory.